package org.example;

import org.graphstream.graph.Graph;

import static org.example.GraphManipulation.*;
public class Main {
    public static void main(String[] args) {
     System.setProperty("org.graphstream.ui", "swing");
        String path = "src/main/resources/com-dblp.ungraph.txt";
    Graph graph = getTheFileEdge(path);
    int nodeCount = getNodeCount(graph);
        System.out.println("Nombre de noeuds : " + nodeCount);
        System.out.println("Nombre d'arêtes : " +getEdgeCount(graph));
        double averageDegree = getAverageDegree(graph) ;
        System.out.println("Degré Moyen : "+averageDegree);
        System.out.println("Coefficient de clustering : " + getAverageClusteringCoefficient(graph));
        System.out.println("Coefficient de clustering attendu (graphe aléatoire) : "+getRandomGraphClustering(averageDegree,nodeCount));
        System.out.println("Graphe connexe : "+isConnexe(graph));
        System.out.println("Graphe orienté : "+isOrientedGraph(graph));
        getDegreeDistribution(graph);
    }
}